%{!?__pear:       %define __pear       %{_bindir}/pear}
%{!?pear_phpdir:  %define pear_phpdir  %(%{__pear} config-get php_dir  2>/dev/null || echo 'None')}
%{!?pear_docdir:  %define pear_docdir  %(%{__pear} config-get doc_dir  2>/dev/null || echo 'None')}
%{!?pear_testdir: %define pear_testdir %(%{__pear} config-get test_dir 2>/dev/null || echo 'None')}
%{!?pear_datadir: %define pear_datadir %(%{__pear} config-get data_dir 2>/dev/null || echo 'None')}
%{!?pear_xmldir:  %define pear_xmldir  %{pear_phpdir}/.pkgxml}

%define modn      Auth_SASL
%define modv      1.0.4
%define modp      %(echo %{modn} | cut -d'_' -f1)


Summary:          An Abstraction of various SASL mechanism responses
Name:             php-pear-%{modn}
Version:          %{modv}
Release:          1%{?dist}%{?pext}
License:          BSD
Group:            Development/Libraries
Source0:          http://download.pear.php.net/package/%{modn}-%{modv}.tgz
URL:              http://pear.php.net/package/%{modn}/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Christian Weiske
Provides:         php-pear(%{modn}) = %{modv}
Requires:         php >= 4.2.0
Requires:         php-pear(PEAR) >= 1.4.3
Requires(post):   %{__pear}
Requires(postun): %{__pear}
BuildRequires:    php-pear(PEAR) >= 1.4.3
BuildArch:        noarch


%description
PEAR::Auth_SASL provides code to generate responses to common SASL mechanisms,
including Digest-MD5, CramMD5, Plain, Anonymous and Login (Pseudo mechanism).


%prep
%setup -q -c

[ -f package2.xml ] || %{__mv} package.xml package2.xml
%{__mv} package2.xml %{modn}-%{modv}/%{modn}.xml


%build


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

pushd %{modn}-%{modv}
%{__pear} install --nodeps                \
	--packagingroot ${RPM_BUILD_ROOT} \
	%{modn}.xml

# Cleanup
%{__rm} -rf ${RPM_BUILD_ROOT}%{pear_phpdir}/.??*

# Install package spec
%{__mkdir_p} ${RPM_BUILD_ROOT}%{pear_xmldir}
%{__install} -m 0644 -p %{modn}.xml ${RPM_BUILD_ROOT}%{pear_xmldir}


%post
%{__pear} install --nodeps --soft --force --register-only   \
	%{pear_xmldir}/%{modn}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ]; then	# Remove
  %{__pear} uninstall --nodeps --ignore-errors --register-only \
	%{modn} >/dev/null || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{pear_xmldir}/%{modn}.xml
%{pear_phpdir}/%{modp}


%changelog
* Tue Jun 01 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.0.4-1
- New version (1.0.4)

* Tue Sep 01 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.0.3-1
- Initial build
